@extends('layouts.app')

@section('content')
<div class="container-fluid">

    <h1>{{ $label }}</h1>

    <form method="GET" class="form-inline my-3">
        <div class="form-group">
            <label for="label">Detector : </label>
            <select class="form-control" id="label" name="label" autofocus>
                @foreach ($detectors as $detector)
                <option {{ ($detector["label"] == $label) ? "selected" : "" }}>{{ $detector["label"] }}</option>
                @endforeach
            </select>
        </div>
    </form>

    <table class="table">
        <tr>
            <th>Subject</th>
            <th>Score</th>
            <th>Time</th>
            <th></th>
        </tr>

        @foreach ($evidences as $evidence)
        <tr>
            <td>
                {{ implode(' ', $evidence["subject"]) }}
            </td>
            <td>{{ $evidence["score"] }}</td>
            <td>{{ $evidence["time"] }}</td>
            <td>
                <a href="/app/evidence/{{ $evidence["id"] }}"
                   class="btn btn-primary btn-sm">
                    <i class="fas fa-search"></i> Inspect
                </a>
            </td>
        </tr>
        @endforeach
    </table>

</div>

<script type="text/javascript">
    window.addEventListener('load', function() {
        $("#label").change(function() {
            var label = $(this).children("option:selected").val();
            console.log("Move to " + label);
            window.location = "/app/ranking/" + label;
        });
    });
</script>
@endsection